Skip to content
Exchange Order

Estimate Exchange Amount

Batch-estimate converted amounts for a list of foreign-exchange calculation items.

Request parameters

  • Required: params (list of FX calculation items)
  • See the field definitions for each field's format, allowed values, and business meaning.

Returns

On success returns the estimated converted amount for each item; see the 200 response for field definitions.

POSThttps://b-api.lbkrs.com/v1/atm/calc/multi/estimate/exchange/amount

Authorization

AuthorizationstringheaderRequired

Send the Broker ACCESS_TOKEN as Authorization: Bearer <token>.

Request body application/json

paramsarray<object>required

Exchange calculation items. Specifies Exchange calculation items. This field is required.

Child attributes
from_currencystring

From currency. Specifies From currency. This field is required.

to_currencystring

To currency. Specifies To currency. This field is required.

from_amountstring

From amount. Specifies From amount.

to_amountstring

To amount. Specifies To amount.

keystring

Client-side record key, echoed back. Specifies Client-side record key, echoed back.

ratestring

Rate. Specifies Rate.

Responses

HTTP 200The request was processed successfully. data is the result.
Standard response envelopecodemessagedata
dataobjectdata structure
resultarray<object>

Exchange calculation results. Specifies Exchange calculation results.

Child attributes
from_currencystring

From currency. Specifies From currency.

to_currencystring

To currency. Specifies To currency.

from_amountstring

From amount. Specifies From amount.

to_amountstring

To amount. Specifies To amount.

keystring

Client-side record key. Specifies Client-side record key.

ratestring

Rate. Specifies Rate.

bpstring

Markup. Markup value applied in this exchange calculation; may be an empty string.

modestring

Mode. Exchange calculation mode flag; may be an empty string.

no_bp_ratestring

Rate without markup. Exchange rate before markup (numeric string).

HTTP 400Bad request. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 401The user is not authenticated, or the login session has expired.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 403The current account is not authorized to use this feature. Grant the required permission to the account in User Permission.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 408The request timed out. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

Whale Docs